| Home | Libraries | People | FAQ | More

# IO_Control_Command Class Reference

Inherited by Boolean_IO_Control_Command, and Size_IO_Control_Command.

Inheritance diagram for IO_Control_Command:

List of all members.

## Detailed Description

IO_Control_Command concept.

Defines the interface that must be implemented by an object passed as the `command` parameter to:

- boost::asio::stream_socket::io_control
- boost::asio::datagram_socket::io_control

Implemented By:
  boost::asio::socket_base::non_blocking_io
  boost::asio::socket_base::bytes_readable

## Public Member Functions

int | name () const
| Get the name of the command.
implementation_defined | data ()
| Get the data associated with the command.
implementation_defined | data () const
| Get the data associated with the command.

## Member Function Documentation

int IO_Control_Command::name | ( |  | ) | const

Get the name of the command.

implementation_defined IO_Control_Command::data | ( |  | ) |

Get the data associated with the command.

implementation_defined IO_Control_Command::data | ( |  | ) | const

Get the data associated with the command.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff